Package org.apache.sling.cms.core.internal.models

## Class InsightsModelImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.InsightsModelImpl

All Implemented Interfaces:
  `InsightsModel`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.insights.InsightsModel.class)
    public class InsightsModelImpl
    extends Object
    implements InsightsModel

Implementation of the Insights Model

### Constructor Summary

Constructors
`InsightsModelImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Insight>` `getInsights()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InsightsModelImpl

    public InsightsModelImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getInsights

    public List<Insight> getInsights()

Specified by:
  `getInsights` in interface `InsightsModel`